package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.entity.ExamDetail;
import io.swagger.annotations.ApiModelProperty;

import java.io.File;

/**
 * @Description: examDetail pdf dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/10/13
 */
public class ExamDetailPdfDownloadDto extends ExamDetail {

    @ApiModelProperty(value = "学期名称")
    private String semesterName;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "课程名(课程代码)")
    private String courseNameCode;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷文件")
    private File paperFile;

    @ApiModelProperty(value = "题卡文件")
    private File cardFile;

    @ApiModelProperty(value = "卷袋贴文件")
    private File packageFile;

    @ApiModelProperty(value = "签到表文件")
    private File signFile;

    @ApiModelProperty(value = "登记表文件")
    private File checkInFile;

    public File getPaperFile() {
        return paperFile;
    }

    public void setPaperFile(File paperFile) {
        this.paperFile = paperFile;
    }

    public File getCardFile() {
        return cardFile;
    }

    public void setCardFile(File cardFile) {
        this.cardFile = cardFile;
    }

    public File getPackageFile() {
        return packageFile;
    }

    public void setPackageFile(File packageFile) {
        this.packageFile = packageFile;
    }

    public File getSignFile() {
        return signFile;
    }

    public void setSignFile(File signFile) {
        this.signFile = signFile;
    }

    public File getCheckInFile() {
        return checkInFile;
    }

    public void setCheckInFile(File checkInFile) {
        this.checkInFile = checkInFile;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
}
